#ifndef palette_h
#define palette_h

#ifdef __cplusplus
extern "C" {
#endif

#include "jtypes.h"

typedef struct {
    u32 sign;
    u32 fracR;
    u32 ri;
    u32 rf;
    u32 fracG;
    u32 gi;
    u32 gf;
    u32 fracB;
    u32 bi;
    u32 bf;
} infoD;

void pal_update (
    char* pal,
    u32 x,
    u32 y
    );

void pal_initD (
    char* dst,
    char* src,
    u32 x,
    u32 y,
    u32 z,
    infoD* nfo
    );

void pal_nextD (
    char* dst,
    char* src,
    u32 x,
    u32 y,
    u32 z,
    infoD* nfo
    );

void pal_8to32 (
    u32 *dst,
    u8 *src,
    u32 qty
    );

#ifdef __cplusplus
}
#endif

#endif
